UNIT SuperUti;

(* (C) 1993, 1994 by Johannes Leckebusch.
   Das Programm ist Shareware. Es darf in unvernderter und
   vollstndiger Form - einschlielich der DOC-Files - weitergegeben
   werden. Bei regelmiger Benutzung bitte ich um
   bersendung von DM 30,-
   mit dem Hinweis "Superfilter TP" an untenstehende Adresse:
   Johannes Leckebusch
   Schlierseerstr. 27
   83735 Bayrischzell
   Konto bei Kreissparkasse Miesbach, BLZ 711 517 50

   Ich bin auch zu erreichen ber die Maus, @MB.
   Die Tel. Nr. der Maus MB (Bayrischzell) ist 080 23/332.
   In der Maus MB sind auch Updates und Fehlerkorrekturen erhltlich.
   In der Maus TLz sind auch Updates und Fehlerkorrekturen erhltlich.
   Wer das Programm verbessert oder erweitert, wird gebeten, mir
   die vernderte Version zu schicken. Bitte keine vernderten
   Versionen eigenmchtig in Umlauf bringen. *)

INTERFACE

USES Crt, SuperBase;

PROCEDURE WaehleFormat (VAR f: TextFormat);
PROCEDURE Menue (EingabeFormat, AusgabeFormat: TextFormat;
                 TabFiltern, SteuerzeichenFiltern,
                 EingabeHatControlZ, AusgabeHatControlZ,
                 EingabeHatLinefeed, AusgabeHatLinefeed: BOOLEAN;
                 Tabspace, Umbruch: WORD;
                 Anzeigen: BOOLEAN;
                 IBM, Prefixed, BlankEinfuegen, {Mailbox,}
                 Indent, WSAttribute: BOOLEAN;
                 Lim0, Lim1: WORD);

IMPLEMENTATION

(* Stand: 24. 08. 94 *)


PROCEDURE WaehleFormat (VAR f: TextFormat);
VAR     form:   CHAR;
BEGIN
  Write ('A:      '); WriteFormat (ASCII256); WriteLn;
  Write ('B:      '); WriteFormat (FIRSTWORD); WriteLn;
  Write ('C:      '); WriteFormat (USASCII128); WriteLn;
  Write ('D:      '); WriteFormat (GERASCII128); WriteLn;
  Write ('E:      '); WriteFormat (SMTEXT); WriteLn;
  Write ('F:      '); WriteFormat (WS30DOC); WriteLn;
  Write ('G:      '); WriteFormat (WS30GER); WriteLn;
  Write ('H:      '); WriteFormat (WS30SPA); WriteLn;
  Write ('I:      '); WriteFormat (WS34MSDOS); WriteLn;
  Write ('J:      '); WriteFormat (MSWORD); WriteLn;
  Write ('K:      '); WriteFormat (UCSD); WriteLn;
  Write ('L:      '); WriteFormat (SIMPEL); WriteLn;
  Write ('M:      '); WriteFormat (G2E); WriteLn;
  Write ('N:      '); WriteFormat (ANSI); WriteLn;
  Write ('O:      '); WriteFormat (ANSIEndlos); WriteLn;
  Write ('P:      '); WriteFormat (TOOLBOOK); WriteLn;
  WriteLn;
  REPEAT
    form := ReadKey; form := UpCase (form);
  UNTIL (form IN ['A'..'P']);
  WriteLn;
  f := TextFormat (ORD (form) - ORD ('A'))
END (* WaehleFormat *);

PROCEDURE Menue (EingabeFormat, AusgabeFormat: TextFormat;
                 TabFiltern, SteuerzeichenFiltern,
                 EingabeHatControlZ, AusgabeHatControlZ,
                 EingabeHatLinefeed, AusgabeHatLinefeed: BOOLEAN;
                 Tabspace, Umbruch: WORD;
                 Anzeigen: BOOLEAN;
                 IBM, Prefixed, BlankEinfuegen, {MailBox,} Indent,
                 WSAttribute: BOOLEAN;
                 Lim0, Lim1: WORD);
(* Menue anzeigen *)
BEGIN
  ClrScr;
  WriteLn (
'            <<<------ SUPER-FILTER 2.02 Johannes Leckebusch ------>>>');
  WriteLn (
'                          1994 - Shareware');
  WriteLn;

  Write (
'E(ingabeformat:                '); WriteFormat (EingabeFormat); WriteLn;
  Write (
'A(usgabeformat:                '); WriteFormat (AusgabeFormat); WriteLn;
  WriteLn;
{
  Write (
'M(ail-Boxinfo:                 ');
  IF MailBox
     THEN Write ('Einfuegen')
     ELSE Write ('Nicht einfuegen');
  WriteLn;
}
  WriteLn (
'M(aximum der Dateilnge einstellen: ', Lim1, ', ', Lim0);

  WriteLn (
'N(icht limitiert filtern');

  Write (
'T(ab:                          ');
  IF TabFiltern
    THEN WriteLn ('Filtern')
    ELSE WriteLn ('Nicht filtern');

  Write (
'X: Steuerzeichen Filtern:      ');
  IF SteuerzeichenFiltern
    THEN WriteLn ('Ja')
    ELSE WriteLn ('Nein');

  Write (
'Y: Eingabe hat Control-Z:      ');
  IF EingabeHatControlZ
    THEN WriteLn ('Ja')
    ELSE WriteLn ('Nein');

  Write (
'Z: Ausgabe hat Control-Z:      ');
  IF AusgabeHatControlZ
    THEN WriteLn ('Ja')
    ELSE WriteLn ('Nein');

  Write (
'K: Eingabe hat Linefeed:       ');
  IF EingabeHatLinefeed
    THEN WriteLn ('Ja')
    ELSE WriteLn ('Nein');

  Write (
'L: Ausgabe hat Linefeed:       ');
  IF AusgabeHatLinefeed
    THEN WriteLn ('Ja')
    ELSE WriteLn ('Nein');

  Write (
'I: Zeichensatz:                ');
  IF IBM
    THEN WriteLn ('IBM')
    ELSE WriteLn ('Atari');

  Write (
'P(refix-Zeichen:               ');
  IF Prefixed
    THEN WriteLn ('eingeschaltet')
    ELSE WriteLn ('ausgeschaltet');

  Write (
'W(ordstar-Attribute einfgen:  ');
  IF WSAttribute
    THEN WriteLn ('eingeschaltet')
    ELSE WriteLn ('ausgeschaltet');

  Write (
'B(reite von Tab:               ');
  WriteLn (Tabspace:2);

  Write (
'U(mbruch-Breite bei Word:      ');
  WriteLn (Umbruch: 2);

  Write (
'C(arriage - davor Blank:       ');
  IF BlankEinfuegen
    THEN WriteLn ('Einfuegen')
    ELSE WriteLn ('Nicht einfuegen');

  Write (
'H: Absatzeinrckung -->        ');
  IF Indent
    THEN WriteLn ('Indentation-Code')
    ELSE WriteLn ('Leerzeichen');

  Write (
'S(chreiben auf Bildschirm:     ');
  IF Anzeigen
    THEN WriteLn ('eingeschaltet')
    ELSE WriteLn ('ausgeschaltet');
  Write (
'F(iltern einer Datei:          ');
  WriteLn;
  Write (
'#: Analysieren einer Datei:    ');
  WriteLn;
  Write (
'Q(uit:                         Programmabbruch ');
END (* Menue *);

END (* SuperUti *).